from typing import TYPE_CHECKING

from .deviceservice_base import DeviceServiceBase
from .deviceservice_errors import SerialConnectionError, SerialResponseError
from .deviceservice_feature import DeviceServiceFeature
from .deviceservice_types import (
    GetVersionSoftware_Responses,
    GetChannelAddressing_Responses,
    GetChannelNumber_Responses,
    GetChannelTotalVolume_Responses,
    GetEventMessages_Responses,
    GetFootSwitchStatus_Responses,
    GetHeadModel_Responses,
    GetLanguage_Responses,
    GetPauseTime_Responses,
    GetPumpStatus_Responses,
    GetRevolutions_Responses,
    GetRollersNumber_Responses,
    GetRollerStepsHigh_Responses,
    GetRollerStepsLow_Responses,
    GetRSV_Responses,
    GetSerialNumber_Responses,
    GetSerialProtocol_Responses,
    GetTimeSetting_Responses,
    GetTotalTime_Responses,
    GetTotalVolume_Responses,
    GetVersionType_Responses,
    ResetRSVTable_Responses,
    SaveSetRoller_Responses,
    SaveSettings_Responses,
    SetChannelAddressing_Responses,
    SetChannelNumber_Responses,
    SetDisableInterface_Responses,
    SetDisplayLetters_Responses,
    SetDisplayNumbers_Responses,
    SetEventMessages_Responses,
    SetHeadModel_Responses,
    SetLanguage_Responses,
    SetNonFactoryRSV_Responses,
    SetPauseTime_Responses,
    SetPauseTimeH_Responses,
    SetPauseTimeM_Responses,
    SetPumpAddress_Responses,
    SetPumpName_Responses,
    SetPumpSerialNumber_Responses,
    SetRollersNumber_Responses,
    SetRollerStepsHigh_Responses,
    SetRollerStepsLow_Responses,
    SetRSV_Responses,
    SetRSVReset_Responses,
    SetRunTimeH_Responses,
    SetRunTimeM_Responses,
    SetTimeSetting_Responses,
    SetUserInterface_Responses,
)

__all__ = [
    "DeviceServiceBase",
    "DeviceServiceFeature",
    "SetPumpAddress_Responses",
    "SetLanguage_Responses",
    "GetLanguage_Responses",
    "GetPumpStatus_Responses",
    "GetVersionType_Responses",
    "GetVersionSoftware_Responses",
    "GetSerialNumber_Responses",
    "SetChannelAddressing_Responses",
    "GetChannelAddressing_Responses",
    "SetEventMessages_Responses",
    "GetEventMessages_Responses",
    "GetSerialProtocol_Responses",
    "SetPumpName_Responses",
    "GetChannelNumber_Responses",
    "SetChannelNumber_Responses",
    "GetRevolutions_Responses",
    "GetChannelTotalVolume_Responses",
    "GetTotalTime_Responses",
    "GetHeadModel_Responses",
    "SetHeadModel_Responses",
    "SetUserInterface_Responses",
    "SetDisableInterface_Responses",
    "SetDisplayNumbers_Responses",
    "SetDisplayLetters_Responses",
    "GetTimeSetting_Responses",
    "SetTimeSetting_Responses",
    "SetRunTimeM_Responses",
    "SetRunTimeH_Responses",
    "GetRollerStepsLow_Responses",
    "SetRollerStepsLow_Responses",
    "GetRollerStepsHigh_Responses",
    "SetRollerStepsHigh_Responses",
    "GetRSV_Responses",
    "SetRSV_Responses",
    "SetRSVReset_Responses",
    "ResetRSVTable_Responses",
    "SetNonFactoryRSV_Responses",
    "GetPauseTime_Responses",
    "SetPauseTime_Responses",
    "SetPauseTimeM_Responses",
    "SetPauseTimeH_Responses",
    "GetTotalVolume_Responses",
    "SaveSettings_Responses",
    "SaveSetRoller_Responses",
    "GetFootSwitchStatus_Responses",
    "SetRollersNumber_Responses",
    "GetRollersNumber_Responses",
    "SetPumpSerialNumber_Responses",
    "SerialResponseError",
    "SerialConnectionError",
]

if TYPE_CHECKING:
    from .deviceservice_client import DeviceServiceClient  # noqa: F401

    __all__.append("DeviceServiceClient")
